# Lazy algebra framework

| **Documentation**               | **License**                     | **Build Status**                                                | **Code Coverage**                                                   |
|:--------------------------------|:--------------------------------|:----------------------------------------------------------------|:--------------------------------------------------------------------|
| [![][doc-dev-img]][doc-dev-url] | [![][license-img]][license-url] | [![][travis-img]][travis-url] [![][appveyor-img]][appveyor-url] | [![][coveralls-img]][coveralls-url] [![][codecov-img]][codecov-url] |

**LazyAlgebra** is a [Julia](http://julialang.org/) package to generalize the
notion of matrices and vectors used in
[linear algebra](https://en.wikipedia.org/wiki/Linear_algebra).

This package is used in:
- [OptimPackNextGen](https://github.com/emmt/OptimPackNextGen.jl) which
  provides optimization methods for large scale problems in pure Julia.
- [LinearInterpolators](https://github.com/emmt/LinearInterpolators.jl) which
  provides methods for interpolating multi-dimensional arrays.

Similar Julia packages:
- [LinearMaps](https://github.com/Jutho/LinearMaps.jl)
- [LinearOperators](https://github.com/JuliaSmoothOptimizers/LinearOperators.jl)


[doc-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[doc-stable-url]: https://emmt.github.io/LazyAlgebra.jl/stable

[doc-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[doc-dev-url]: https://emmt.github.io/LazyAlgebra.jl/dev

[license-url]: ./LICENSE.md
[license-img]: http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat

[travis-img]: https://travis-ci.org/emmt/LazyAlgebra.jl.svg?branch=master
[travis-url]: https://travis-ci.org/emmt/LazyAlgebra.jl

[appveyor-img]: https://ci.appveyor.com/api/projects/status/github/emmt/LazyAlgebra.jl?branch=master
[appveyor-url]: https://ci.appveyor.com/project/emmt/LazyAlgebra-jl/branch/master

[coveralls-img]: https://coveralls.io/repos/emmt/LazyAlgebra.jl/badge.svg?branch=master&service=github
[coveralls-url]: https://coveralls.io/github/emmt/LazyAlgebra.jl?branch=master

[codecov-img]: http://codecov.io/github/emmt/LazyAlgebra.jl/coverage.svg?branch=master
[codecov-url]: http://codecov.io/github/emmt/LazyAlgebra.jl?branch=master
